Bug 505800 - 0.4% battery will last me 5 hours
0.4% battery will last me 5 hours
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: DeviceKit-power (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 19:55 EDT by Bastien Nocera
Modified: 2010-06-28 08:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-06-13 19:55:06 EDT
gnome-power-manager tells me that my 0.4% battery will last me 5 hours.

I think the actual battery power is closer to 95% as the laptop was on charge for a couple of hours, on a brand new battery.

DeviceKit-power-008-0.1.20090401git.fc11.i586

$ cat /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0/charge_full
6607000
$ cat /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0/charge_full_design
6400000
$ cat /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0/charge_now
6078000

The energy-full looks weird (and I'm on battery as those dumps were taken).

$ devkit-power -d
Device: /org/freedesktop/DeviceKit/Power/devices/line_power_AC
  native-path:          /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  vendor:               
  model:                
  serial:               
  power supply:         yes
  updated:              Sun Jun 14 00:34:15 2009 (916 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    online:             no

Device: /org/freedesktop/DeviceKit/Power/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor:               Samsung SDI
  model:                DELL JG7688
  serial:               1549
  power supply:         yes
  updated:              Sun Jun 14 00:49:27 2009 (4 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    energy:              67.821 Wh
    energy-empty:        0 Wh
    energy-full:         16447.2 Wh
    energy-full-design:  0 Wh
    energy-rate:         12.1656 W
    voltage:             12.103 V
    time to full:        0 seconds
    time to empty:       5.6 hours
    percentage:          0.412356%
    capacity:            100%
    technology:          lithium-ion
  History (charge):
    1244936967	0.412	discharging
    1244936957	0.413	discharging
    1244936937	0.413	discharging
    1244936927	0.413	discharging
    1244936907	0.414	discharging
    1244936897	0.414	discharging
    1244936877	0.415	discharging
    1244936867	0.415	discharging
  History (rate):
    1244936967	12.166	discharging
    1244936957	12.454	discharging
    1244936937	15.473	discharging
    1244936927	15.373	discharging
    1244936907	15.462	discharging
    1244936897	15.407	discharging
    1244936877	16.051	discharging
    1244936867	15.373	discharging

Daemon:
  daemon-version:  008
  can-suspend:     yes
  can-hibernate    yes
  on-battery:      no
  on-low-battery:  no
Comment 1 Richard Hughes 2009-07-10 03:21:50 EDT
Could you try https://admin.fedoraproject.org/updates/DeviceKit-power-009-1.fc11 first please, and if that doesn't work I'll go through the coldplug logic and look for bugs. Thanks dude.
Comment 2 Bug Zapper 2010-04-27 10:53:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 08:58:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.